org.apache.maven.scm.provider.perforce.command.status

## Class PerforceStatusConsumer

- java.lang.Object
- - org.apache.maven.scm.provider.perforce.command.AbstractPerforceConsumer
  - - org.apache.maven.scm.provider.perforce.command.status.PerforceStatusConsumer

- All Implemented Interfaces:
    org.codehaus.plexus.util.cli.StreamConsumer

      public class PerforceStatusConsumer
      extends AbstractPerforceConsumer
      implements org.codehaus.plexus.util.cli.StreamConsumer

  Version:
    $Id: PerforceChangeLogConsumer.java 331276 2005-11-07 15:04:54Z evenisse $
  Author:
    Mike Perham

- - ### Field Summary

    - ### Fields inherited from class org.apache.maven.scm.provider.perforce.command.AbstractPerforceConsumer

      `output`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PerforceStatusConsumer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `consumeLine(String line)`
    `List` | `getDepotfiles()`
    `boolean` | `isSuccess()`

    - ### Methods inherited from class org.apache.maven.scm.provider.perforce.command.AbstractPerforceConsumer

      `getOutput`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PerforceStatusConsumer

          public PerforceStatusConsumer()

  - ### Method Detail

    - #### consumeLine

          public void consumeLine(String line)

      Specified by:
        `consumeLine` in interface `org.codehaus.plexus.util.cli.StreamConsumer`

    - #### isSuccess

          public boolean isSuccess()

    - #### getDepotfiles

          public List getDepotfiles()

Copyright © 2003–2015. All rights reserved.